Skip to main content
POST
/
datasets
Create Dataset
curl --request POST \
  --url https://api.woodwide.ai/datasets \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file=train.csv \
  --form dataset_name=my_dataset
{
  "dataset": {
    "id": "a1b2c3d4-0000-0000-0000-000000000001",
    "version_id": "a1b2c3d4-0000-0000-0000-000000000002",
    "version_number": 1
  },
  "job_id": "a1b2c3d4-0000-0000-0000-000000000003",
  "status": "queued"
}
Maximum file size is 30 MB. For larger files, use the signed-URL upload flow.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

multipart/form-data
file
string
required

The file to upload. Maximum file size: 30 MB.

dataset_name
string
dataset_id
string<uuid>
description
string | null
override
boolean
default:false

When true, replaces the data in the current version instead of creating a new version. Defaults to false.

Response

Successful Response

Response for dataset creation/ingestion.

dataset
DatasetVersionRef · object

Dataset version reference.

job_id
string<uuid>
status
enum<string>
Available options:
initializing,
pending,
queued,
running,
succeeded,
failed,
canceled,
rejected,
waiting_for_upload